from django.core.management.base import BaseCommand, CommandError
import os
import shutil

from ._tools import get_p4a_args, update_apk, parcefiles, overwrite_p4a

class Command(BaseCommand):
    help = 'Create a build for new project'
    can_import_settings = True



    #----------------------------------------------------------------------
    def handle(self, *args, **kwargs):
        from django.conf import settings

        update_apk(settings)

        build_dir = os.path.join(settings.ANDROID['BUILD']['build'], os.path.split(settings.BASE_DIR)[-1])
        os.chdir(build_dir)
        os.system('p4a create')

        overwrite_p4a(settings)

